local majuentrafficlightutil = require "traffic_light/majuentrafficlightutil"

local transf = require "transf"
local vec3 = require "vec3"


function data()

local dir = "street/traffic_light_eu_c/"
local dirBus = "street/traffic_light_eu_bus_c/"

local input = {
	lightType = 2,
	models = {
		trafficLightPole = dir .. "new_pole.mdl",
--		pedestrianPole = dir .. "pedestrian_pole.mdl", -- this entry didn´t use anymore ! see script and pedestrianLight
		beam = {
			dir .. "beam_new_r.mdl",
			dir .. "beam_new_r.mdl",
			-- last model is repeated
		},
		trafficLight = { dir .. "traffic_light_new_1.mdl", dir .. "traffic_light_r.mdl", dir .. "traffic_light_new_r.mdl"},
		pedestrianLight = dir .. "pedestrian_light.mdl",
		
	},
	modelsLeft = {
		trafficLightPole = dir .. "new_pole_left.mdl",
		
		
	},
	busTramRight = {
		trafficLightPole = dirBus .. "new_bus_pole.mdl",
		beam = {
			dir .. "beam_new_r.mdl",
			dir .. "beam_new_r.mdl",
			-- last model is repeated
		},
		trafficLight = {dirBus .. "traffic_light_bus_1.mdl", dir .. "traffic_light_r.mdl", dir .. "traffic_light_new_r.mdl"},
		pedestrianLight = dir .. "pedestrian_light.mdl",
		
	},
	busTramRight2 = {
		trafficLightPole = dir .. "new_pole.mdl",
		beam = {
			dir .. "beam_new_r.mdl",
			dir .. "beam_new_r.mdl",
			-- last model is repeated
		},
		trafficLight = {dir .. "traffic_light_new_1.mdl", dirBus .. "new_bus_eis_os.mdl", },
		pedestrianLight = dir .. "pedestrian_light.mdl",
		
	},
	busTramRight3 = {
		trafficLightPole = dir .. "new_pole.mdl",
		beam = {
			dir .. "beam_new_r.mdl",
			dir .. "beam_new_r.mdl",
			-- last model is repeated
		},
		trafficLight = {dir .. "traffic_light_new_1.mdl", dir .. "traffic_light_r.mdl", dirBus .. "new_bus_eis_os2.mdl", },
		pedestrianLight = dir .. "pedestrian_light.mdl",
		
	},
	params = {
		offset = -0.25,
		beamWidth = { 4 + .25, 3 }, -- on model repetition last entry is used
		lightOffset = { 6, 1.5 }, -- offset is relative to beam -- on model repetition last entry is used
		poleTrafficLight = true,
	},
}

	return {
		yearFrom = 1980,
		tryOpposite = false,
		modelFn = majuentrafficlightutil.specialLights(input)
	}
end
